Package org.apache.solr.client.solrj.request

# Class ReplicationApi.FetchIndexVersion

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<IndexVersionResponse>
org.apache.solr.client.solrj.request.ReplicationApi.FetchIndexVersion

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ReplicationApi`

public static class ReplicationApi.FetchIndexVersion extends SolrRequest<IndexVersionResponse>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`FetchIndexVersion(String coreName)`
Create a FetchIndexVersion request object.

## Method Summary

Modifier and Type
Method
Description
`protected IndexVersionResponse`
`createResponse(NamedList<Object> namedList)`
Create a new SolrResponse to hold the response from the server.
`SolrRequest.ApiVersion`
`getApiVersion()`
Indicates which API version this request will make
`SolrParams`
`getParams()`
The parameters for this request; never null.
`Set<String>`
`getQueryParams()`
Parameter keys that are sent via the query string
`ResponseParser`
`getResponseParser()`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getRequestType, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FetchIndexVersion

public FetchIndexVersion(String coreName)
Create a FetchIndexVersion request object.

Parameters:
  `coreName` - Path param -

## Method Details

### getApiVersion

public SolrRequest.ApiVersion getApiVersion()
Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<IndexVersionResponse>`

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Specified by:
  `getParams` in class `SolrRequest<IndexVersionResponse>`

### getQueryParams

public Set<String> getQueryParams()
Description copied from class: `SolrRequest`
Parameter keys that are sent via the query string

Overrides:
  `getQueryParams` in class `SolrRequest<IndexVersionResponse>`

### createResponse

protected IndexVersionResponse createResponse(NamedList<Object> namedList)
Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server. If the response extends `SolrResponse`, then there's no need to use the arguments, as `SolrResponse.setResponse(NamedList)` will be called right after this method.

Specified by:
  `createResponse` in class `SolrRequest<IndexVersionResponse>`
Parameters:
  `namedList` - from `SolrClient.request(SolrRequest, String)`.

### getResponseParser

public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<IndexVersionResponse>`
Returns:
  The `ResponseParser`